# Interface SHTMLAction

All Superinterfaces:
  `Action, ActionListener, EventListener`

public interface SHTMLAction extends Action
Adds methods to the `javax.swing.Action` interface, needed by Application SimplyHTML.

See Also:
  - `Action`

## Field Summary

### Fields inherited from interface Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Method Summary

Modifier and Type
Method
Description
`void`
`update()`
update the action's state

### Methods inherited from interface Action

`accept, addPropertyChangeListener, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from interface ActionListener

`actionPerformed`

## Method Details

### update

void update()
update the action's state